Attribute VB_Name = "tmrMod"

Public Enum TimeFormatType
DaysHoursMinutesSecondsMilliseconds = 0
DaysHoursMinutesSeconds = 1
DHMSMColonSeparated = 2
DaysHoursMinutes = 3
End Enum

'Public Declare Function GetTickCount Lib "kernel32.dll" () As Long

Public Function FormatCount(Count As Long, Optional FormatType As TimeFormatType = 0) As String
    Dim Days As Long, Hours As Long, Minutes As Long, Seconds As Long, Miliseconds As Long
    
    Miliseconds = Count Mod 1000
    Count = Count \ 1000
    Days = Count \ (24& * 3600&)
    If Days > 0 Then Count = Count - (24& * 3600& * Days)
    Hours = Count \ 3600&
    If Hours > 0 Then Count = Count - (3600& * Hours)
    Minutes = Count \ 60
    Seconds = Count Mod 60



    Select Case FormatType
            Case 0


        FormatCount = Days & " days, " & Hours & " hours, " & _
            Minutes & " minutes, " & Seconds & " seconds, " & Miliseconds & _
            " milliseconds"
            Case 1


            FormatCount = Days & " days, " & Hours & " hours, " & _
                Minutes & " minutes, " & Seconds & " seconds"
            Case 2


                FormatCount = Days & ":" & Hours & ":" & _
                    Minutes & ":" & Seconds & ":" & Miliseconds
            
            Case 3
            
            FormatCount = Days & " days, " & Hours & " hours, " & _
                Minutes & " minutes"
End Select
End Function





Public Function FormatCount2(Count As Long, Optional FormatType As TimeFormatType = 0) As String
    Dim Days As Long, Hours As Long, Minutes As Long, Seconds As Long, Miliseconds As Long
    
    Miliseconds = Count Mod 1000
    Count = Count \ 1000
    Days = Count \ (24& * 3600&)
    If Days > 0 Then Count = Count - (24& * 3600& * Days)
    Hours = Count \ 3600&
    If Hours > 0 Then Count = Count - (3600& * Hours)
    Minutes = Count \ 60
    Seconds = Count Mod 60


    Select Case FormatType
            Case 0


        FormatCount2 = Days & " days, " & Hours & " hours, " & _
            Minutes & " minutes, " & Seconds & " seconds, " & Miliseconds & _
            " milliseconds"
            Case 1


            FormatCount2 = Days & " days, " & Hours & " hours, " & _
                Minutes & " minutes, " & Seconds & " seconds"
            Case 2


                FormatCount2 = Days & ":" & Hours & ":" & _
                    Minutes & ":" & Seconds & ":" & Miliseconds
            
            Case 3
            
            FormatCount2 = Days & " days, " & Hours & " hours, " & _
                Minutes & " minutes"
                
            Case 4
            FormatCount2 = Days & "D:" & Hours & "H:" & Minutes & "M:" & Seconds & "S"

            Case 5
            If Days <> 0 Then
                    FormatCount2 = Days & " days, " & Hours & " hours, " & _
                    Minutes & " minutes, " & Seconds & " seconds"
                    Exit Function
            End If
            If Hours <> 0 Then
                    FormatCount2 = Hours & " hours, " & _
                    Minutes & " minutes, " & Seconds & " seconds"
                    Exit Function
            End If
            If Minutes <> 0 Then
                    FormatCount2 = Minutes & " minutes, " & Seconds & " seconds"
                    Exit Function
            End If
            If Seconds >= 0 Then
                    FormatCount2 = Seconds & " seconds"
                    Exit Function
            End If
            
            Case 6
            If Days <> 0 Then
                    FormatCount2 = Days & " days, " & Hours & " hours, " & _
                    Minutes & " minutes, " & Seconds & " seconds"
                    Exit Function
            End If
            If Hours <> 0 Then
                    FormatCount2 = Hours & " hours, " & _
                    Minutes & " minutes, " & Seconds & " seconds"
                    Exit Function
            End If
            If Minutes <> 0 Then
                    FormatCount2 = Minutes & " minutes, " & Seconds & " seconds"
                    Exit Function
            End If
            If Seconds <> 0 Then
                    FormatCount2 = Seconds & " seconds"
                    Exit Function
            End If
            If Milliseconds >= 0 Then
                    FormatCount2 = Miliseconds & " milliseconds"
                    Exit Function
            End If
End Select
End Function





